<p>Once you have your first specialist task assigned by your mentor you can start working on it.</p>
<p>For developers, the simplest workflow would be:</p>
<ol>
<li>Change the JIRA status of the ticket you're going to work on to <em>In Progress</em>.</li>
<li>Set the remaining estimate to be the number of hours you expect to work on it (which should be less than or equal to
  the Original Estimate; ping the reporter of the ticket and the <a href="https://handbook.opencraft.com/en/latest/roles/#epic-owner">epic owner</a> if the Original Estimate isn't set).</li>
<li>Do <code>git checkout</code> of the master branch in the repository you're going to work with. Pull from remote.</li>
<li>Create a new branch of the master branch. You can name it like: <code>your_name/name_of_the_new_feature</code>.</li>
<li>Implement a new feature.</li>
<li>Test your code, both manually and with tests, and make sure your code passes quality checks and is generally high-standard and readable for a reviewer. See the unit about <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/processes/coding_standards/">Coding standards</a>❗</span>.</li>
<li>Push your branch to remote.</li>
<li>Open a pull request on GitHub/GitLab.</li>
<li>Change the JIRA status of your ticket to <em>Internal review</em> and ping your reviewer.</li>
</ol>
<p><strong>Important notes:</strong></p>
<p>The scenario above describes the simplest possible developer workflow but please do note that workflows can differ drastically for different tasks and different positions. One needs to ultimately figure out what works best through experience.</p>
<p>Please read the documentation on <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/task_workflows/#task-statuses">task workflow statuses</a>❗</span> before starting your work, to understand how workflows may differ for more specific scenarios; but again, you should be adaptable.</p>
<p>Please read <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/processes/pull_request/">Pull request process docs</a>❗</span> to understand how pull requests are posted, reviewed, and merged.</p>
